<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Топ друзей*/
if (!$user_id) header('Location: /login.php');

$tpl->assign_file('mod', 'tpl/inc/top_friends.tpl');
$tpl->assign('linc', 'mod=top_friends&amp;page=' . (int)$_GET['page']);
// Удаление фото
if (isset($_GET['del_file']) && ($admin || $moder)) {
    $del_file = (int)$_GET['del_file'];
    $file = $db->assoc($db->query("SELECT * FROM `foto_file` WHERE `id` = '$del_file'"));
    $file = 'files/' . $file['id_dir'] . '/' . $file['id_albom'] . '/' . $file['id'] . '.' . $file['ext'];
    if (is_file($file)) unlink($file);
    $db->query("DELETE FROM `foto_file` WHERE `id` = '$del_file'");
	$com = new comments_class_by_lugaro('fotoalbom', $del_file);
	$com->del_group();
}
// Получаем список друзей
$sql = $db->query("SELECT * FROM `friends` WHERE `user`='" . $user_id . "' AND `preg`='1'");
while (false != ($res = $db->assoc($sql))) {
    // Проверяем является ли дружба двух 2х стороняя
    if ($db->rows($db->query("SELECT * FROM `friends` WHERE `user`='" . $res['to'] . "' AND `to` = '" . $user_id . "' AND `preg`='1'"))) {
        $list_user[] = $res['to'];
    }
}
if (is_array($list_user)) {
    $list_friends = implode(',', $list_user);
    $all = $db->result($db->query("
		SELECT COUNT(*) FROM `foto_file` WHERE
		`id_user` in($list_friends)
		AND
		`mod` = 0
	"));

    if ($all) {
        $n = new navigator($all, $konf_albom['navi'], '?mod=top_friends&amp;');
        $n->no_button = true;
        $tpl->assign('page', $n->page);
        // Настройки предпросмотра
        $tpl->parse('index.top_friends.prev');
        if (isset($_GET['prev'])) $_SESSION['AlbomPrev'] = $_GET['prev'];

        $sql = $db->query("
		SELECT * FROM `foto_file` WHERE
		`id_user` in($list_friends)
		AND
		`mod` = 0
		ORDER BY `time` DESC LIMIT {$n->start()},{$konf_albom['navi']}
		");

        while (false != ($res = $db->assoc($sql))) {
            $res['color'] = $res['ocenka'] < 0 ? '#FF5353' : '#00FF80';
            $tpl->assign($res);
            if (($admin || $moder) && $vid_adm) $tpl->parse('index.top_friends.while.admin');
            if ($res['mod']) $tpl->parse('index.top_friends.while.foto_mod'); //На модерации
            $tpl->parse('index.top_friends.while');
        }
        $tpl->assign('navi', $n->navi());
    } else {
        $tpl->parse('index.top_friends.no_file');
    }
} else {
    $tpl->parse('index.top_friends.no_friends');
}

$tpl->parse('index.top_friends');

?>